

class LinkOverlay {
    constructor(graph) {
        this.graph = graph
    }

    create() {
        const sceneNode = getCanvasDivNode();
        const overlayNode = document.createElement('div');
        overlayNode.className = 'link-overlay';
        //overlayNode.innerText = 'Hello there!';
        sceneNode.insertBefore(overlayNode, sceneNode.childNodes[2])

        const linkClasses = this.graph.getLinkClasses();
        const chars = Math.max.apply(Math, linkClasses.map(function (c) { return c.length; }));

        for (let i=0; i<linkClasses.length; i++) {
            const relation = document.createElement('div');
            relation.className = 'relation';
            relation.innerHTML = "<p>" + linkClasses[i] + "</p>";
            overlayNode.appendChild(relation);

            const colorStrip = document.createElement('div');
            colorStrip.className = 'rel-container';
            colorStrip.style = "background-color: " + this.graph.edgeColors[linkClasses[i]] + "; width: " + 10 * chars + "px;";
            relation.appendChild(colorStrip);
        }
    }

}